> For the complete documentation index, see [llms.txt](https://docs.anedot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.anedot.com/action-pages/advanced-features/url-parameter.md).

# URL Parameters

URL Parameters allow data to be passed directly from a URL into an Action Page.

**URL Parameters** allow data to be passed directly from a URL into an Action Page. When applied, the specified values automatically populate the corresponding form fields.

URL Parameters can also be added to **Callback URLs**, which replace the confirmation message and redirect supporters after a successful submission.

***Example with URL Parameters:***

```
https://secure.anedot-sandbox.com/city-food-pantry/donate?amount=25&city=New+Orleans&email=annadote%40anedot.com&employer=Anedot&first_name=Anna&last_name=Dote&occupation=Support&phone=2252501301&state=LA&street=123+Test+St&zip=70808
```

In this example, each parameter (`amount`, `city`, `email`, etc.) corresponds to a field in the Action Page, and the provided value will prefill that field.

**Formatting Rules**

* **Start parameters** with a `?` after the base page URL.
* **Separate each parameter** with an `&`.
* Use `+` for spaces and `%40` for the `@` symbol *(or other URL encoding as needed)*.
* **Custom field responses in Anedot are case sensitive.** *For example, if a Selection List custom field contains a list item in all caps, the corresponding URL parameter response must also be entered in all caps.*

## Available URL Parameters

Below is a list of available URL Parameters that are available for use with Action Pages:

* ***actblue\_order\_number***
* ***amount*** (`100` — whole number without cents to choose default amount)
* ***amounts*** (`10,25,50,100,250` — comma-separated list)
* ***city***
* ***country***
* ***election\_cycle*** *(NationBuilder)*
* ***election\_period*** *(NationBuilder)*
* ***election\_period\_ngp\_code*** *(NationBuilder)*
* ***email***
* ***embed***
* ***employer\_name***
* ***express\_checkout\_method*** (must be followed with one of: `applepay`, `googlepay`, `paypal`)
* ***first\_name***
* ***frequency*** *(for commitments)*
* ***fund\_ids*** *(separated by %)*
* ***is\_private*** *(NationBuilder)*
* ***lang=es*** (translates the form language to Spanish)
* ***last\_name***
* ***line\_1***
* ***line\_2***
* ***membership\_name*** *(NationBuilder)*
* ***middle\_name***
* ***note*** *(NationBuilder)*
* ***occupation***
* ***phone***
* ***postal\_code***
* ***recruiter\_name\_or\_email*** *(NationBuilder)*
* ***referrer\_to\_form***
* ***region*** (only accepts 2-digit state abbreviations; e.g. `LA` for `Louisiana`)
* ***sc***
* ***source\_code***
* ***suffix***
* ***state*** (accepts state abbreviation; e.g. `LA` not `Louisiana`)
* ***street***
* ***street\_2***
* ***title***
* ***tracking\_code\_slug*** *(NationBuilder)*
* ***ucampaign\_token***
* ***utm\_campaign***
* ***utm\_content***
* ***utm\_medium***
* ***utm\_source***
* ***utm\_term***
* ***zip***

The following aliases are also available for URL parameters:

* ***sc = source\_code***
* ***street = line\_1***
* ***street\_2 = line\_2***
* ***zip = postal\_code***
* ***state = region***

## Languages And Translations

Adding `?lang=es` to the end of an Action Page URL will automatically translate the **standard page content** into Spanish.

Any **custom field content** must be manually translated and saved within the **Form** tab of the Builder.

## Custom Field Parameters

Custom Field URL parameters are defined by the **Internal Name** assigned in Action Pages.

To find the Internal Name for a custom field:

1. In the Page Builder, open the **Form** tab.
2. Access the **Field Preset editor**.
3. Click the **Pencil icon** next to the custom field.
4. The **Internal Name** will appear below the Field Name.

For **Hidden Fields**, the Internal Name is referred to as the **Key**.

***Example:** A hidden field with the Internal Name `hidden_custom_field` would be applied as:*

```
anedot.com/donate?hidden_custom_field=special
```

*NationBuilder fields must be created as **hidden custom fields** to work with URL parameters.*

### URL Parameters for Callback URLs

Action Page Callback URLs can utilize tokens to retrieve data. Simply reference the token/parameter in the Callback URL using the double curly bracket format below:

* ***address\_city***
* ***address\_country***
* ***address\_line\_1***
* ***address\_line\_2***
* ***address\_postal\_code***
* ***address\_region***
* ***donation\_ids*** *(can contain one ID for single fund APs or a comma-separated list of IDs for multi-fund APs)*
  * Note: List order matches ID order for `donation_ids`.
* ***donation\_statuses*** *(can contain one status for single fund APs or a comma-separated list of statuses for multi-fund APs)*
* ***email*** *(@ replaced with %40 in the URL)*
* ***employer\_name***
* ***fees***
* ***title***
* ***first\_name***
* ***last\_name***
* ***suffix***
* ***occupation***
* ***payment\_method***
* ***payment\_method\_last\_digits***
* ***phone***
* ***recurring***
* ***recurring\_frequency***
* ***source\_code***
* ***total\_amount***

Custom field values are also available by using the field's internal name as both the key and a token (when placed in double curly brackets).

Check out the following example Callback URL containing URL Parameters:

```
https://[fakewebsite].com?source_code=EMAIL_APPEAL&first_name=&last_name=&email=&total_amount=
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.anedot.com/action-pages/advanced-features/url-parameter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
